enumerations

## Enum CICode

- java.lang.Object
- - java.lang.Enum<CICode>
  - - enumerations.CICode

- All Implemented Interfaces:
    EnumBase, java.io.Serializable, java.lang.Comparable<CICode>

      public enum CICode
      extends java.lang.Enum<CICode>
      implements EnumBase

  CI-Field codes specified in Wireless M-Bus, their meanings and hexadecimal representations.
  Author:
    David Hudec (dwdization@gmail.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ApplicationReset`
    `DataSendM2S`
    `FourByteHeaderS2M`
    `ManufacturerSpecific`
    `ReportOfAlarmsS2M`
    `ReportOfAppErrorsS2M`
    `SelectionOfSlaves`
    `Set1200Bd`
    `Set19200Bd`
    `Set2400Bd`
    `Set300Bd`
    `Set38400Bd`
    `Set4800Bd`
    `Set600Bd`
    `Set9600Bd`
    `SynchronizeAction`
    `TwelveByteHeaderS2M`
    `VariableDataFormatResponseWithoutHeaderS2M`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Integer` | `hexCode`
    `private java.lang.String` | `niceName`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHexCode()`
    `java.lang.String` | `getNiceName()`
    `static CICode` | `parse(int hexCode)`
    `java.lang.String` | `toString()`
    `static CICode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CICode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface core.EnumBase

      `ordinal`

- - ### Enum Constant Detail

    - #### ApplicationReset

          public static final CICode ApplicationReset

    - #### DataSendM2S

          public static final CICode DataSendM2S

    - #### FourByteHeaderS2M

          public static final CICode FourByteHeaderS2M

    - #### ManufacturerSpecific

          public static final CICode ManufacturerSpecific

    - #### ReportOfAlarmsS2M

          public static final CICode ReportOfAlarmsS2M

    - #### ReportOfAppErrorsS2M

          public static final CICode ReportOfAppErrorsS2M

    - #### SelectionOfSlaves

          public static final CICode SelectionOfSlaves

    - #### Set1200Bd

          public static final CICode Set1200Bd

    - #### Set19200Bd

          public static final CICode Set19200Bd

    - #### Set2400Bd

          public static final CICode Set2400Bd

    - #### Set300Bd

          public static final CICode Set300Bd

    - #### Set38400Bd

          public static final CICode Set38400Bd

    - #### Set4800Bd

          public static final CICode Set4800Bd

    - #### Set600Bd

          public static final CICode Set600Bd

    - #### Set9600Bd

          public static final CICode Set9600Bd

    - #### SynchronizeAction

          public static final CICode SynchronizeAction

    - #### TwelveByteHeaderS2M

          public static final CICode TwelveByteHeaderS2M

    - #### VariableDataFormatResponseWithoutHeaderS2M

          public static final CICode VariableDataFormatResponseWithoutHeaderS2M

  - ### Field Detail

    - #### hexCode

          private final java.lang.Integer hexCode

    - #### niceName

          private final java.lang.String niceName

  - ### Method Detail

    - #### getHexCode

          public int getHexCode()

    - #### getNiceName

          public java.lang.String getNiceName()

      Specified by:
        `getNiceName` in interface `EnumBase`

    - #### parse

          public static CICode parse(int hexCode)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<CICode>`

    - #### valueOf

          public static CICode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static CICode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CICode c : CICode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared